//ignorei18n_start
/**variable initialization */
var connectionUrl,
	currentUrl,
	nav = [
		{
			title: "Welcome M365 Manager Plus",
			url: "index.html",
			parentType: "mainParent noIcon",
			parentName: "Home",
			children: [
				{
					title: "Contact Us",
					url: "welcome/contact-zohocorp.html",
					parentType: "child",
					parentName: "Home",
				},
			],
		},
		{
			title: "Getting Started",
			url: "getting-started/getting-started.html",
			parentType: "mainParent",
			parentName: "Home",
			children: [
				{
					title: "System Requirements",
					url: "getting-started/system-requirements.html",
					parentType: "child",
					parentName: "Getting Started",
				},
				{
					title: "Installing and Uninstalling",
					url: "getting-started/installing-uninstalling-m365managerplus.html",
					parentType: "child",
					parentName: "Getting Started",
				},
				{
					title: "Working with M365 Manager Plus",
					url: "getting-started/working-with-microsoft-365-manager-plus.html",
					parentType: "child",
					parentName: "Getting Started",
				},
				{
					title: "Licensing",
					url: "getting-started/licensing-microsoft-365-manager-plus.html",
					parentType: "child",
					parentName: "Getting Started",
				},
			],
		},
		{
			url: "home/dashboard-view.html",
			title: "Dashboard View",
			parentType: "mainParent",
			parentName: "Home",
		},
		{
			url: "tenant/microsoft-365-settings.html",
			title: "Tenant Settings",
			parentType: "mainParent",
			parentName: "Home",
			children: [
				{
					title: "Configure Microsoft 365 Tenant",
					url: "settings/admin/administration/office-365-settings.html",
					parentType: "child",
					parentName: "Tenant Settings",
				},
				{
					title: "Manual configuration",
					url: "tenant/manual-microsoft365-tenant-configuration.html",
					parentType: "child",
					parentName: "Tenant Settings",
				},
				{
					title: "Configure MFA-enabled service account",
					url: "tenant/mfa-enabled-service-account.html",
					parentType: "child",
					parentName: "Tenant Settings",
				},
				{
					title: "Minimum scope",
					url: "tenant/roles-and-permissions.html",
					parentType: "child",
					parentName: "Tenant Settings",
				},
				{
					title: "Create M365 service account",
					url: "settings/admin/administration/how-to-create-an-microsoft-365-service-account.html",
					parentType: "child",
					parentName: "Tenant Settings",
				},
			],
		},
		{
			title: "Reports",
			url: "reports/reports.html",
			parentType: "mainParent",
			parentName: "Home",
			children: [
				{
					title: "Report from CSV",
					url: "reports/report-from-csv.html",
					parentType: "child",
					parentName: "Reports",
				},
			],
		},
		{
			title: "Management",
			url: "management/management.html",
			parentType: "mainParent",
			parentName: "Home",
			children: [
				{
					title: "User Templates",
					url: "management/user-templates/user-creation-templates.html",
					parentType: "subParent",
					parentName: "Management",
					children: [
						{
							title: "Creation Templates",
							url: "management/user-templates/create-microsoft-365-user-templates.html",
							parentType: "subParent",
							parentName: "Management",
						},
					],
				},
				{
					title: "Group Templates",
					url: "management/group-templates/group-creation-templates.html",
					parentType: "subParent",
					parentName: "Management",
					children: [
						{
							title: "Creation Templates",
							url: "management/group-templates/create-microsoft-365-group-templates.html",
							parentType: "subParent",
							parentName: "Management",
						},
					],
				},
				{
					title: "Contact Templates",
					url: "management/contact-templates/contact-creation-template.html",
					parentType: "subParent",
					parentName: "Management",
					children: [
						{
							title: "Creation Templates",
							url: "management/contact-templates/create-microsoft-365-contact-templates.html",
							parentType: "subParent",
							parentName: "Management",
						},
					],
				}, {
					title: "License modification",
					url: "management/user-license-modification.html",
					parentType: "child",
					parentName: "Management",
				}, {
					title: "Instructions For CSV",
					url: "management/csv-instructions.html",
					parentType: "child",
					parentName: "Management",
				},
			],
		},
		{
			title: "Audit",
			url: "audit/audit.html",
			parentType: "mainParent",
			parentName: "home",
		}, {
			title: "Alerts",
			url: "alert/alert.html",
			parentType: "mainParent",
			parentName: "home",
		},
		{
			title: "Delegation",
			url: "delegation/delegation.html",
			parentType: "mainParent",
			parentName: "home",
			children: [
				{
					title: "M365 License Delegation",
					url: "delegation/license-restriction.html",
					parentType: "child",
					parentName: "Delegation",
				},
				{
					title: "Logon settings",
					url: "settings/admin/administration/logon-settings.html",
					parentType: "subParent",
					parentName: "Delegation",
					children: [
						{
							title: "General",
							url: "settings/admin/administration/general-settings.html",
							parentType: "child",
							parentName: "Delegation",
						},
						{
							title: "Active Directory Settings",
							url: "settings/admin/administration/active-directory-configuration.html",
							parentType: "child",
							parentName: "Delegation",
						},
						{
							title: "Two-Factor Authentication",
							url: "settings/admin/administration/two-factor-authentication.html",
							parentType: "child",
							parentName: "Delegation",
						},
					],
				},
			],
		},
		{
			title: "Monitoring",
			url: "monitoring/monitoring.html",
			parentType: "mainParent",
			parentName: "home",
		},
		{
			title: "Automation",
			url: "automation/automation.html",
			parentType: "mainParent",
			parentName: "home",
		},
		{
			title: "Search",
			url: "search/search.html",
			parentType: "mainParent",
			parentName: "home",
		},
		{
			title: "Backup",
			url: "backup/backup-exchange-online-data.html",
			parentType: "mainParent",
			parentName: "home",
		},
		{
			title: "Schedule Reports",
			url: "schedule/schedule-reports.html",
			parentType: "mainParent",
			parentName: "home",
		},
		{
			title: "Settings",
			url: "settings/settings.html",
			parentType: "mainParent",
			parentName: "Home",
			children: [
				{
					title: "Configuration",
					url: "settings/admin/configuration.html",
					parentType: "subParent",
					parentName: "Settings",
					children: [
						{
							title: "Audit Configuration",
							url: "settings/admin/audit-configuration.html",
							parentType: "subParent",
							parentName: "Settings",
							children: [
								{
									title: "Audit Profiles",
									url: "settings/admin/report-profile.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Alert Profiles",
									url: "settings/admin/alert-profiles.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Archive Settings",
									url: "settings/admin/archive-settings.html",
									parentType: "child",
									parentName: "Settings",
								},
							],
						},
						{
							title: "Management Settings",
							url: "settings/management-settings/management-settings.html",
							parentType: "subParent",
							parentName: "Settings",
							children: [
								{
									title: "Naming format",
									url: "settings/management-settings/microsoft-365-customize-naming-format.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Organization Settings",
									url: "settings/management-settings/microsoft-365-customize-organization-settings.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Password policy",
									url: "settings/management-settings/microsoft-365-customize-password-policy.html",
									parentType: "child",
									parentName: "Settings",
								},
							],
						}, {
							title: "Monitoring Configuration",
							url: "settings/admin/monitoring-configuration.html",
							parentType: "subParent",
							parentName: "Settings",
							children: [
								{
									title: "Monitoring Profiles",
									url: "settings/admin/monitor-profile.html",
									parentType: "child",
									parentName: "Settings",
								},
							],
						}, {
							title: "Content Search Configuration",
							url: "search/search.html",
							parentType: "child",
							parentName: "Settings",
						}, {
							title: "Other Configuration",
							url: "settings/admin/other-configuration.html",
							parentType: "subParent",
							parentName: "Settings",
							children: [
								{
									title: "Password Expiry Notification",
									url: "settings/admin/password-expiry-notification.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Virtual Tenants",
									url: "settings/admin/virtual-tenants.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Business Hours",
									url: "settings/admin/general-settings/busines-hours.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Report Settings",
									url: "settings/admin/general-settings/report-settings.html",
									parentType: "child",
									parentName: "Settings",
								},
							],
						},
					],
				},
				{
					title: "Admin",
					url: "settings/admin/admin.html",
					parentType: "subParent",
					parentName: "Settings",
					children: [
						{
							title: "Administration",
							url: "settings/admin/administration.html",
							parentType: "subParent",
							parentName: "Settings",
							children: [
								{
									title: "Notification Templates",
									url: "settings/admin/general-settings/notification-templates.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Product Schedulers",
									url: "settings/admin/general-settings/product-schedulers.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Disk Space Alerts",
									url: "settings/admin/general-settings/disk-space-alerts.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Integration Settings",
									url: "settings/admin/general-settings/log-forwarder.html",
									parentType: "child",
									parentName: "Settings",
								},
							],
						},
						{
							title: "General Settings",
							url: "settings/admin/general-settings.html",
							parentType: "subParent",
							parentName: "Settings",
							children: [
								{
									title: "Personalize",
									url: "settings/admin/general-settings/personalize.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Connection",
									url: "settings/admin/general-settings/connection.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Mail Server",
									url: "settings/admin/general-settings/mail-server-settings.html",
									parentType: "child",
									parentType: "subParent",
									parentName: "Settings",
									children: [ {
										title: "SMTP",
										url: "settings/admin/general-settings/mail-server-configuration-via-smtp.html",
										parentType: "child",
										parentName: "Settings",
									}, {
										title: "API",
										url: "settings/admin/general-settings/mail-server-configuration-via-api.html",
										parentType: "child",
										parentName: "Settings",
									},
									]
								}, {
									title: "Notification settings",
									url: "settings/admin/general-settings/notification-settings.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "What is SSL",
									url: "settings/admin/general-settings/what-is-ssl.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "SSL configuration",
									url: "settings/admin/general-settings/ssl-tool.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Security Hardening",
									url: "settings/admin/general-settings/security-hardening.html",
									parentType: "child",
									parentName: "Settings",
								},
								{
									title: "Database Backup",
									url: "settings/admin/general-settings/database-backup.html",
									parentType: "child",
									parentName: "Settings",
								},
							],
						},
					],
				},
			],
		},
		{
			title: "Knowledge Base",
			url: "kb/knowledge-base.html",
			parentType: "mainParent",
			parentName: "home",
			children: [
				{
					title: "Reset Admin Password",
					url: "kb/reset-password.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Change Admin Password",
					url: "kb/change-password.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},{
					title: "Reset Admin TFA",
					url: "kb/reset-secondary-authentication-factor.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Install as a Service",
					url: "kb/install-service.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Backup and Restore Database",
					url: "kb/backup-db.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Migrate Server",
					url: "kb/migrate-server.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Change Port Number",
					url: "kb/change-port.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Find AWS instance ID",
					url: "kb/find-aws-instance-id.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Database Migration",
					url: "kb/migrate-from-postgresql-to-ms-sql-database.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Migration to Elasticsearch",
					url: "kb/migration-to-elasticsearch.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Apply Service Pack",
					url: "kb/how-to-apply-m365-manager-plus-service-pack.html",
					parentType: "child",
					parentName: "Knowledge Base",
				},
				{
					title: "Add to role group",
					url: "kb/role-group-steps.html",
					parentType: "child",
					parentName: "Knowledge Base",
				}
			],
		},
		{
			title: "Troubleshooting Tips",
			url: "ts/troubleshooting.html",
			parentType: "mainParent",
			parentName: "home",
		}, {
			title: "Compliance",
			url: "compliance/compliance.html",
			parentType: "mainParent",
			parentName: "home",
			children: [
				{
					title: "SOX",
					url: "compliance/sox.html",
					parentType: "subParent",
					parentName: "Compliance",
				}, {
					title: "HIPAA",
					url: "compliance/hipaa.html",
					parentType: "subParent",
					parentName: "Compliance",
				}, {
					title: "PCI",
					url: "compliance/pci-dss.html",
					parentType: "subParent",
					parentName: "Compliance",
				},{
					title: "FISMA",
					url: "compliance/fisma.html",
					parentType: "subParent",
					parentName: "Compliance",
				},{
					title: "GLBA",
					url: "compliance/glba.html",
					parentType: "subParent",
					parentName: "Compliance",
				}]
		}, {
			title: "Other",
			url: "deprecation.html",
			parentType: "mainParent",
			parentName: "home",
		},
	],
	bgColor = "#fff",
	rhsNav,
	rhsNavList = "",
	searchList = [],
	sections,unLinkedPages;

unLinkedPages = [
	'tenant/modify-restapi-permission.html'
]
//initial hash handling
if (location.hash) {
	setTimeout(function () {
		window.scrollTo(0, 0);
	}, 1000);
}
/**variable initialization */

/**DOM Ready */
$(document).ready(function () {
	$("#year").text("2024");
	initializer();
	//try{

		//if(window.location.href.indexOf('manageengine.com')> -1 && (ME_CC!=undefined && ME_CC=='US' || ME_CC=='GB' || ME_CC=='CA')){
			//enableYearEndBanner();
		//}
	//}
	//catch(e){

	//}
});
/**DOM Ready */
function contextMenuHandler(selector) {
	$(selector).on("contextmenu", function (e) {
		var futureUrl = $(this).attr("href");
		var baseUrl = "/help/";
		var isFutureURLISSet = futureUrl.indexOf(baseUrl) == -1 ? false : true;
		var hostURL = window.location.href.substr(
			0,
			window.location.href.indexOf(baseUrl)
		);
		if (!isFutureURLISSet) {
			$(this).attr("data-href", futureUrl);
			$(this).attr("href", hostURL + baseUrl + futureUrl);
		}
	});
}
function checkConnection() {
	connectionUrl = window.location.href.substr(0, window.location.href.indexOf("/help/")) + "/help/";
}
function getRecursiveList(element) {
	if ($(element).closest("ul").prev().length) {
		return {
			text: $(element).closest("ul").prev().text(),
			url: $(element).closest("ul").prev().attr("href"),
		};
	}
}
function getNavitionObject() {
	var defaultObject = [
		{
			text: "Welcome M365 Manager Plus",
			url: "index.html",
		},
	];
	var ele = $(".in .active");
	var iteration = ele.parents("ul").length;
	var navMenuObject = [{ text: ele.text(), url: ele.attr("href") }];
	ele.parents("ul").each(function () {
		if (!$(this).hasClass("vertical-menu")) {
			navMenuObject.push(getRecursiveList($(this)));
		}
	});
	if (
		navMenuObject.length == 1 &&
		navMenuObject[0].text == "" &&
		navMenuObject[0].url == undefined
	) {
		return defaultObject;
	}
	return navMenuObject;
}
function buildMenu(data) {
	if (data.length > 0) {
		var ulCon = $("<ul/>");
		for (var i = 0; i < data.length; i++) {
			var liCon = $("<li/>");
			var alink = $("<a/>");
			alink.text(data[i].title);
			alink.attr("title", data[i].title);
			alink.attr("href", data[i].url);
			alink.attr("data-href", data[i].url);
			alink.attr("data-parent", data[i].parentName);
			alink.addClass(data[i].parentType);
			if (location.href.indexOf(data[i].url) != -1) {
				liCon.addClass("in");
				alink.addClass("active");
				currentUrl = data[i].url;
				//breadCrumb+=" &gt; <a href='"+data[i].url+"'>"+data[i].title+"</a> ";
			}
			liCon.append(alink);
			if (data[i].children && data[i].children.length > 0) {
				var childCon = buildMenu(data[i].children);
				liCon.append(childCon);
				liCon.addClass("arrow");
			} else {
				liCon.addClass("book");
			}
			ulCon.append(liCon);
		}
		//$(".breadcrumbWrapper").append(breadCrumb);
		return ulCon;
	}
}
function mobileMenuHandler() {
	$(".ic").on("click", function () {
		$(".menu-it").slideToggle();
		$(this).toggleClass("active");
		$(".lhs").toggleClass("active");
	});
	$(".mclo").on("click", function () {
		$(".lhs").removeClass("active");
		$(".ic").removeClass("active");
		$(".menu-it").slideUp();
	});
}
function initialHashHandling() {
	if (location.hash != "") {
		setTimeout(function () { $("html, body").stop().animate({ scrollTop: $(window.location.hash).offset().top - 130, }, 900, "swing"); }, 500);
	}
}
function innerLinksScrollingToId() {
	$("a[href*=\\#]").on("click", function (e) {
		var target = this.hash,
			$target = $(target);
		$("html, body")
			.stop()
			.animate(
				{
					scrollTop: $target.offset().top - 70,
				},
				900,
				"swing",
				function () {
					window.location.hash = target;
				}
			);
	});
}
function setSearchBackgroundColor() {
	if ($(window).innerWidth() > 1200) {
		bgColor = "#122331";
	}
}
//opens currect active page
function searchHandler() {
	var filter,
		testStr,
		txtValue,
		chk = 0;
	$(".searchField").on('keyup',function () {
		if ($(this).val() == "") {
			$(this).html("");
			chk = 1;
			$(".searchList, .searchListBg").hide();
			$(".searchBar, .mobSearch").removeClass("hideIcon");
		} else {
			$(".searchBar, .mobSearch").addClass("hideIcon");
			// $(".searchField").css("background", "#fff");
			$(".searchList, .searchListBg").show();
		}
		$(".searchList").html("");
		$(".meSearch").hide();
		filter = sanitizeHTML($(this).val()).trim();
		testStr = filter.toLowerCase();
		//			console.log(filter, testStr);
		for (i = 0; i < searchList.length; i++) {
			txtValue = searchList[i].title;
			var liHeightFix = "";
			if (searchList[i].clsName != undefined) {
				liHeightFix = searchList[i].clsName;
			}
			if (txtValue.toLowerCase().indexOf(testStr) > -1) {
				$(".searchList").append(
					"<li class='" +
					liHeightFix +
					"'><a href='" +
					searchList[i].url +
					"'><p> <span class='search-head'>" +
					searchList[i].title +
					"</span><span>" +
					searchList[i].cat +
					"</span></p></a></li>"
				);
			}
		}
		if ($(".searchList li").length <= 0) {
			$(".searchList").append(
				"<li class='noResult'><p>No results found</p></li>"
			);
			$(".meSearch").show();
			$(".meSearch").attr(
				"href",
				"https://www.manageengine.com/microsoft-365-management-reporting/help/search-results.html?query=" +
				filter
			);
			$(".meSearch").find("span").html(filter);
			$(".searchListBg").css("height", "80px");
		} else {
			$(".searchListBg").css("height", "160px");
		}
	});
}
function breadCrumbsGenerator() {
	var breadCrumbList = getNavitionObject();
	var breadCrumb = "";
	for (var i = breadCrumbList.length - 1; i >= 0; i--) {
		if (0 === i) {
			breadCrumb +=
				"<span class='gtIcon'>&nbsp;</span> <a style='pointer-events:none'>" +
				breadCrumbList[i].text +
				"</a>";
		} else {
			breadCrumb +=
				"<span class='gtIcon'>&nbsp;</span> <a href=" +
				breadCrumbList[i].url +
				">" +
				breadCrumbList[i].text +
				"</a>";
		}
	}
	$(".breadcrumbWrapper div").append(breadCrumb);
	contextMenuHandler(".breadcrumbWrapper a");
}
function menuBuilder() {
	$(".lhs > div").html(
		buildMenu(window.nav).addClass("vertical-menu").attr("id", "vMenu")
	);
	$("#vMenu li.in").parents("li").addClass("in");
	$("#vMenu a.active").parents("li.arrow").find(".mainParent").addClass("act");
	$("#vMenu a.active")
		.parentsUntil(".mainParent")
		.find(".in>a")
		.addClass("act");
	$(".container .lhs").css("height", $(window).innerHeight() - (67+45+34+20) + "px");
    contextMenuHandler(".vertical-menu li a");
	$(".vertical-menu li").each(function () {
		searchList.push({
			title: $(this).find("a").attr("title"),
			url: connectionUrl + $(this).find("a").attr("href"),
			cat: $(this).find("a").attr("data-parent"),
			clsName: $(this).find("a").attr("data-classname"),
		});
	});
}
function linkClickHanlder() {
	$(document).on(
		"click",
		".vertical-menu li a, .breadcrumbWrapper a",
		function (e) {
			$(this).attr("href", $(this).attr("data-href"));
			if (currentUrl!=undefined && location.href.indexOf(currentUrl) != -1) {
				debugger
				location.replace(location.href.slice(0, location.href.indexOf(currentUrl)) + $(this).attr("href"));
				e.preventDefault();
			}
			else if(location.href.indexOf( unLinkedPages.filter(function(e,i){return e.indexOf(window.location.href.substring(window.location.href.lastIndexOf("help/")))}))>-1){
				debugger
				var index = location.href.indexOf( unLinkedPages.filter(function(e,i){return e.indexOf(window.location.href.substring(window.location.href.lastIndexOf("help/")))}));
				location.replace(location.href.slice(0, index) + $(this).attr("href"));
				e.preventDefault();
			}
		}
	);
	$(document).on("click", 'a[href^="#"]', function (event) {
		event.preventDefault();
		$("html, body").animate(
			{
				scrollTop: $($.attr(this, "href")).offset().top - 130,
			},
			500
		);
	});
	$(document).on("click", function (e) {
		if (!$(e.target).is(".searchField") || $(".searchField").val() != "") {
			$(".searchList, .searchListBg").hide();
			// $(".searchField").css("background", bgColor);
		}
	});
}
function RHSTopicBuilder() {
	var rhsTopicLength = $(".container .rhs h2").length;
	if (rhsTopicLength > 1) {
		var i = 0;
		$(".container .rhs h2").each(function () {
			var id = "nav" + i;
			if ($(this).attr("id") != undefined) {
				id = $(this).attr("id");
			}
			$(this).attr("id", id);
			rhsNavList += "<li><a href=#" + id + ">" + $(this).text() + "</a></li>";
			i++;
		});
		rhsNav =
			"<div class='stickyRhs'><h3>On this page</h3><ul>" +
			rhsNavList +
			"</ul></div>";
		$(".container .rhs").after(rhsNav);
	}
	sections = $(".rhs h2"),
		nav = $(".stickyRhs"),
		nav_height = nav.outerHeight();
}
function onWindowScroll() {
	$(window).on("scroll", function () {
		var cur_pos = $(this).scrollTop();
		sections.each(function () {
			var top = $(this).offset().top - nav_height + 20,
				bottom = top + $(this).outerHeight();
			if (cur_pos >= top && cur_pos <= bottom) {
				nav.find("a").removeClass("active");
				nav.find('a[href="#' + $(this).attr("id") + '"]').addClass("active");
			}
		});
		var windowTop = $(window).scrollTop();
		if ($(window).scrollTop() > 100) {
			windowTop += 60;
			$(".stickyRhs").css("top", windowTop);
		} else {
			$(".stickyRhs").css("top", "80px");
		}
	});
}

function templateScript() {
	$(".mob-act").click(function () { $(".right-menu").addClass("menushow"); });
	$("ul.right-menu li:nth-child(1) span").click(function () { $(".right-menu").removeClass("menushow"); });
	var loc = document.location + "";
	if (loc.search("https://www.manageengine.com") !== -1) { $(".downloadd").css({ "display": "block" }); $(".getquo").css({ "display": "none" }); }
	else { $(".downloadd").css({ "display": "none" }); $(".getquo").css({ "display": "block" }); }
	$(window).scroll(function () {
		if ($(window).scrollTop() >= 350)
			$('.btn-mob-bann').addClass('btn-mob-bann-act');
		else {
			$('.btn-mob-bann').removeClass('btn-mob-bann-act');
		}
	});
	$("ul.relPro li").mouseover(function () {
		if ($(this).hasClass("hrel")) {
		} else {
			$("ul.relPro li div").stop(true).slideUp(500);
			$("ul.relPro li").stop(true).css("border", "none");
			$("div", this).stop(true).slideDown(500);
			$(this).stop(true).css({ "border-top": "solid 1px #f3f3f3", "border-bottom": "solid 1px #f3f3f3" });
		}
	});
}
function rhsScrollStoper(){
	setTimeout(function() {
		if ($('.in').length > 0) {
			$('.lhs').animate({
				scrollTop: $('.in').last().offset().top - 200
			});
			if (!$('.book').hasClass('in')) {
				$('.in').last().children('a').addClass('highlight');
			}
		}
	}, 300)
}
function sanitizeHTML(html) {
	var myHTML = new DOMParser()
		.parseFromString(html, 'text/html');
	return myHTML.body.textContent || '';
}
var yearEndOfferTemplate = "<style>" + ".offer-bar {display: none;}.year-end-offer-enabled .help_top_pane {top: 49px}.year-end-offer-enabled .breadcrumbWrapper {top: 115px;}.year-end-offer-enabled .b-con {padding-top: 94px;}.year-end-offer-enabled .container .lhs {top: 155px;}.year-end-offer-enabled .offer-bar {height: 50px;background: #fdd15b;position: fixed;text-align: center;border-bottom: 1px solid #e6e6e8;display: none;}.year-end-offer-enabled .offer-bar:before {content: \"\";width: 165px;height: 58px;position: absolute;left: 0;top: 0;background: url(https://www.manageengine.com/products/active-directory-audit/help/images/year-end-offer-2023.png) -6px -15px no-repeat;background-size: 187px;z-index: 1;}.offer-bar:after {background-position: left -9px;right: 0;left: auto;}.year-end-offer-enabled .offer-bar, .year-end-offer-enabled .offer-bar * {font-size: 16px;color: #000;box-sizing: border-box;font-weight: 400;left: 0;right: 0;z-index: 1 }.year-end-offer-enabled .offer-bar .offer-bar-inner {position: relative;z-index: 2;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag {display: inline-block;position: relative;padding: 8px 12px 8px 20px;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small {font-size: 14px;display: block;position: relative;z-index: 2;color: #fff;font-weight: 600;padding: 5px 13px;background: #2c795d;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small:before {content: \"\";display: block;position: absolute;background: url(\"https://www.manageengine.com/products/active-directory-audit/help/images/year-end-offer-2023.png\") -6px -91px;background-size: 187px;width: 80px;height: 39px;top: -3px;left: -95px;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small:after {content: \"\";display: block;position: absolute;width: 0px;height: 0px;border: 8px solid #2c795d;border-left-color: #0000;border-right-color: #0000;border-top-color: #0000;top: -3px;right: -7px;height: 0.2px;display: none\\\\9;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag:before {content: \"\";display: none;position: absolute;background: url(\\\"images/yearend-offer-2022.png\\\") -12px -95px;background-size: 600px 144px;top: 0;left: 0;height: 100%;width: 100%;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-btn {transition: all 0.5s ease-in-out;display: inline-block;padding: 5px 15px;border-radius: 30px;background-color: #d21313;text-decoration: none;margin-left: 10px;color: #fff;font-size: 14px;font-weight: 500;z-index: 2;position: relative;}.offer-bar .offer-bar-inner .offer-btn:hover {box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;}.offer-bar .offer-bar-inner .offer-tc {position: absolute;right: 10px;bottom: 10px;font-size: 10px;text-align: right }@media screen and (min-width: 2559px) {.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-tc {font-size: 12px;right: 18px;}}@media screen and (max-width: 1200px) {.year-end-offer-enabled .mob-act {top: 70px;}}@media screen and (max-width: 1024px) {.year-end-offer-enabled .offer-bar::after {background-position: left -41px;}.year-end-offer-enabled .offer-bar::before {background-position: -235px -9px;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-tc {right: 65px;}}@media screen and (max-width: 768px) {.year-end-offer-enabled .offer-bar::after {background-position: 59px -21px;}.year-end-offer-enabled .offer-bar::before {background-position: -235px -9px;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-btn {position: absolute;left: 0;right: 0;bottom: -25px;margin: auto;width: 165px;padding: 5px 15px;}.year-end-offer-enabled .offer-bar + .help_top_pane {top: 80px;}body.year-end-offer-enabled .offer-bar {height: 90px;}.year-end-offer-enabled .help_top_pane{top: 89px;}.year-end-offer-enabled .breadcrumbWrapper{top: 155px;}.year-end-offer-enabled .n1-body .n1-right{padding-top: 80px;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-tc {right: 15px;bottom: -30px;}.year-end-offer-enabled .mob-act {top: 94px;}.year-end-offer-enabled .mob-act {top: 115px;}}@media screen and (max-width: 620px) {.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small {background: transparent;color: #000;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small:after {display: none}}@media screen and (max-width: 468px) {.year-end-offer-enabled .offer-bar:before, .year-end-offer-enabled .offer-bar:after {display: none;}.year-end-offer-enabled .offer-bar .offer-bar-inner {padding-top: 9px;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag {padding: 0;display: block;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag:before {display: none;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small:before {display: none;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small:after {display: none;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-btn .offer_icn_gift {display: none;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-tc {right: 15px;bottom: -30px;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-btn {bottom: -35px;}.year-end-offer-enabled .help_top_pane {top: 110px;}body.year-end-offer-enabled .offer-bar {height: 111px;}.year-end-offer-enabled .mob-act {top: 135px;}}@media screen and (max-width: 375px) {.year-end-offer-enabled .offer-bar {padding: 0 10px}.year-end-offer-enabled .help_top_pane {top: 134px;}body.year-end-offer-enabled .offer-bar {height: 135px;}.year-end-offer-enabled .mob-act {top: 145px;}.year-end-offer-enabled .content {padding-top: 105px;}.year-end-offer-enabled .n1-body .n1-right {padding-top: 100px;}}@media screen and (max-width: 325px) {.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small:before {display: none;}.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-tc {right: 0;}}@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {.year-end-offer-enabled .offer-bar .offer-bar-inner .offer-des-tag small:after {display: none;}}body.year-end-offer-enabled .offer-bar {display: block;</style>" +
	"<div class=\"offer-bar\">" +
	"  <div class=\"offer-bar-inner\">" +
	"    <span class=\"offer-des-tag\"><small>Big savings, Better ROI!</small></span> Exclusive discounts on ManageEngine" +
	"    Products!* <a target=\"_blank\"" +
	"      href=\"https://www.manageengine.com/active-directory-360/year-end-offer.html?utm_source=mmp&utm_medium=help_docs&utm_content=yearend_banner\"" +
	"      class=\"offer-btn\"> Boost your business</a>" +
	"    <span class=\"offer-tc\">*T&C apply</span>" +
	"  </div>" +
	"</div>";
function enableYearEndBanner(){
	var elem = document.createElement('div');
	elem.innerHTML = yearEndOfferTemplate;
	document.body.insertBefore(elem,document.body.firstChild);
	document.body.classList.add('year-end-offer-enabled');
}

function initializer() {
	// setSearchBackgroundColor();
	initialHashHandling();
	checkConnection();
	mobileMenuHandler();
	innerLinksScrollingToId();
	menuBuilder();
	searchHandler();
	breadCrumbsGenerator();
	RHSTopicBuilder();
	onWindowScroll();
	templateScript();
	rhsScrollStoper();
	linkClickHanlder();

}




//ignorei18n_end